Skip to main content
GET
/
v1
/
tenants
/
{tenant_id}
/
subjects
/
{subject_type}
/
{subject_id}
/
transfer-offers
List transfer offers for a subject
curl --request GET \
  --url https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/tenants/{tenant_id}/subjects/{subject_type}/{subject_id}/transfer-offers \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "subject_type": "<string>",
      "subject_id": "<string>",
      "from_tenant_id": "<string>",
      "to_principal_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "resolved_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Firebase Auth JWT issued by Google Identity Platform. Obtain a token by signing in at your app domain and calling firebase.auth().currentUser.getIdToken().

Path Parameters

tenant_id
string
required

Tenant identifier.

subject_type
enum<string>
required

Subject type discriminator.

Available options:
entity,
individual
subject_id
string
required

Stable subject identifier within its type namespace.

Response

Transfer offer list.

items
object[]